inbox_notif_email

by
Odoo
v 15.0 Third Party 320
Download for v 15.0 Deploy on Odoo.sh
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Discuss (mail)
Lines of code 1776
Technical Name inbox_notif_email
LicenseLGPL-3
Websitehttp://odoozone.com/
Versions 14.0 13.0 15.0
You bought this module and need support? Click here!
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Discuss (mail)
Lines of code 1776
Technical Name inbox_notif_email
LicenseLGPL-3
Websitehttp://odoozone.com/
Versions 14.0 13.0 15.0

odoo notification and email notification both

The Problem By default, Odoo provides two options for Notification Management: Handle by Emails: notifications are sent to the users' email. This is the default option for new user creation
Handle in Odoo: notifications appear in the users' Odoo Inbox but no email sent to the users
This module does the following
Handle by both now offers both inbox and email notifications

Handle by both

Please contact mdadnanusmani@gmail.com for any query

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Can't Assign Salesperson in CRM When Active
by
Elder Id
on 7/12/22, 8:09 AM

Hi,


I can't assign salesperson in the CRM module when yours is active.


Here's the error I get:


Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/odoo/odoo-server/odoo/http.py", line 688, in dispatch
    result = self._call_function(**self.params)
  File "/odoo/odoo-server/odoo/http.py", line 360, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/odoo/odoo-server/odoo/http.py", line 349, in checked_call
    result = self.endpoint(*a, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 917, in __call__
    return self.method(*args, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 536, in response_wrap
    response = f(*args, **kw)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1348, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1340, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 464, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 451, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/odoo/odoo-server/addons/crm/models/crm_lead.py", line 687, in write
    write_result = super(Lead, self).write(vals)
  File "/odoo/odoo-server/addons/mail/models/mail_thread.py", line 326, in write
    self._message_auto_subscribe(values)
  File "/odoo/odoo-server/addons/mail/models/mail_thread.py", line 2822, in _message_auto_subscribe
    self.with_context(lang=lang)._message_auto_subscribe_notify(pids, template)
  File "/odoo/odoo-server/addons/mail/models/mail_thread.py", line 2748, in _message_auto_subscribe_notify
    record.message_notify(
  File "/odoo/odoo-server/addons/mail/models/mail_thread.py", line 2005, in message_notify
    MailThread._notify_thread(new_message, values, **notif_kwargs)
  File "/odoo/custom/addons/inbox_notif_email/models/models.py", line 2193, in _notify_thread
    self._notify_record_by_inbox(message, rdata, msg_vals=msg_vals, **kwargs)
  File "/odoo/custom/addons/inbox_notif_email/models/models.py", line 2224, in _notify_record_by_inbox
    self.env['bus.bus'].sudo().sendmany(bus_notifications)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/http.py", line 644, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo/odoo-server/odoo/http.py", line 302, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AttributeError: 'bus.bus' object has no attribute 'sendmany'



Can you help?